Magick++: Magick::DrawableTextAlignment Class Reference

Magick++ 7.0.10

Public Member Functions | List of all members
Magick::DrawableTextAlignment Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableTextAlignment:
[legend]
Collaboration diagram for Magick::DrawableTextAlignment:
[legend]

## Public Member Functions
| DrawableTextAlignment (AlignType alignment_)
| DrawableTextAlignment (const DrawableTextAlignment &original_)
| ~DrawableTextAlignment (void)
void | operator() (MagickCore::DrawingWand *context_) const
void | alignment (AlignType alignment_)
AlignType | alignment (void) const
DrawableBase * | copy () const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 2058 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableTextAlignment() [1/2]

Magick::DrawableTextAlignment::DrawableTextAlignment | ( | Magick::AlignType | alignment_ | ) |

Definition at line 1478 of file Drawable.cpp.

## ◆ DrawableTextAlignment() [2/2]

Magick::DrawableTextAlignment::DrawableTextAlignment | ( | const DrawableTextAlignment & | original_ | ) |

Definition at line 1485 of file Drawable.cpp.

## ◆ ~DrawableTextAlignment()

Magick::DrawableTextAlignment::~DrawableTextAlignment | ( | void |  | ) |

Definition at line 1491 of file Drawable.cpp.

## Member Function Documentation

## ◆ alignment() [1/2]

void Magick::DrawableTextAlignment::alignment | ( | AlignType | alignment_ | ) |

Definition at line 1501 of file Drawable.cpp.

## ◆ alignment() [2/2]

Magick::AlignType Magick::DrawableTextAlignment::alignment | ( | void |  | ) | const

Definition at line 1506 of file Drawable.cpp.

## ◆ copy()

Magick::DrawableBase * Magick::DrawableTextAlignment::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1511 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawableTextAlignment::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1495 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp